const express = require('express');
const router = express.Router();
const {
    getAllForms,
    getFormsForSelection,
    getFormById,
    createForm,
    updateForm,
    deleteForm,
    addFormLog,
    getFormLogs
} = require('../controllers/formsController');

router.get('/', getAllForms);
router.get('/for-selection', getFormsForSelection);
router.get('/logs', getFormLogs);
router.post('/logs', addFormLog);
router.get('/:id', getFormById);
router.post('/', createForm);
router.put('/:id', updateForm);
router.delete('/:id', deleteForm);

module.exports = router;

